Page MenuHomePhabricator

Don't ignore byte_order in Stream::PutMaxHex64
ClosedPublic

Authored by teemperor on Jul 30 2018, 3:56 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

teemperor created this revision.Jul 30 2018, 3:56 PM

When is the Stream unit test coming? Maybe we should just add it first, then add this?

Yeah, on a second thought I should just strip out the parts of the unit test that found this bug and commit them alongside this.

teemperor updated this revision to Diff 158126.Jul 30 2018, 4:14 PM
teemperor edited the summary of this revision. (Show Details)
  • Reverse patch dependencies that we can add the unit test here (but also means this has to wait until the StreamTest is in).
labath accepted this revision.Jul 31 2018, 1:49 AM
This revision is now accepted and ready to land.Jul 31 2018, 1:49 AM
teemperor updated this revision to Diff 158563.Aug 1 2018, 10:12 AM
  • Updated patch to reflect code changes in the parent commit.
This revision was automatically updated to reflect the committed changes.